:root{
    --primary-color: #26337D;
    --secondary-color: #3f51b5;
    --third-color: #5b68b5;
    --accent-color: #FFBE28;
    
    --primary-text: #073B4C;
    --secondary-text: #21424D;
    --light-text: #386e80;
}

::placeholder{
    color: var(--light-text) !important;
    font-style: italic;
}

body{
    font-family: 'Roboto', sans-serif;
    color: var(--secondary-text);
}

h1, h2, h3, h4, h5, h6{
    font-family: 'Oswald', sans-serif;
}

h1{
    font-size: 56px;
    color: var(--primary-text);
}

h2{
    font-size: 43px;
}

@media screen and (max-width:992px){
    h1{
        font-size: 40px;
    }
    h2{
        font-size: 34px;
    }
}

a{
    color: var(--primary-text);
}

a:hover{
    color: var(--light-text);
    text-decoration: none;
}

/* COLORI */
.primary-text{
    color: var(--primary-text);
}

.secondary-text{
    color: var(--secondary-text)
}

.light-text{
    color: var(--light-text)
}

.accent-text{
    color: var(--accent-color)
}

.bg-primario{
    background-color: var(--primary-color);
}

.bg-secondario{
    background-color: var(--secondary-color);
}

.bg-terzo{
    background-color: var(--third-color);
}

.bg-accent{
    background-color: var(--accent-color);
}

.bg-nero{
    background-color: black;
}
/* FINE COLORI */

hr{
    border: solid 1px rgba(63, 81, 181, 0.3);
}

.btn-custom{
    background-color: var(--accent-color);
    padding: 5px 15px;
    border-radius: 10px;
    box-shadow: 1px 1px 3px 0px rgba(50, 50, 50, 0.75);
    text-transform: uppercase;
    color: var(--primary-text);
    transition: 0.3s;
}

.btn-custom-2{
    background-color: var(--secondary-color);
    padding: 5px 15px;
    border-radius: 10px;
    box-shadow: 1px 1px 3px 0px rgba(50, 50, 50, 0.75);
    text-transform: uppercase;
    color: white;
    transition: 0.3s;
}

.btn-custom:hover{
    background-color: var(--primary-color);
    color: white;
}

.btn-custom-2:hover{
    background-color: var(--primary-text);
    color: white;
}

.btn-category{
    color: white;
    border: solid 1px white;
}

.btn-category:hover{
    background-color: hsla(0,0%,100%,.25);
    color: white;
}

.navbar{
    transition: 0.6s;
    font-size: 18px;
}

.slick-prev:before, .slick-next:before{
    color: var(--primary-color);
    font-size: 28px;
}

#bg-home{
    min-height: 500px;
    height: 100vh;
    background-image: url("./media/background-1.jpg");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

#bg-prodotto{
    min-height: 500px;
    height: 500px;
    background-image: url("./media/background-1.jpg");
    background-size: cover;
    /* background-position: 0px -200px; */
    background-attachment: fixed;
    background-repeat: no-repeat;
}

.header-container{
    background-color: rgba(255, 255, 255, 0.9);
    animation: header-animation 2s;
    animation-timing-function: ease-out;
}

@media screen and (min-width:1200px){
    #bg-prodotto{
        background-position: 0px -300px;
    }
}

@media screen and (min-width:992px){
    #bg-prodotto{
        background-position: 0px -100px;
    }
}

@keyframes header-animation{
    0%{
        top:-300px;
        opacity: 0;
    }
    100%{
        top: 0px;
        opacity: 1;
    }
}

.product-card{
    background: white;
}

.img-profile{
    position: relative;
    max-height: 300px;
    animation: fade-from-left 1.5s;
    animation-timing-function: ease-in-out;
}

#profile-description{
    position: relative;
    animation: fade-from-right 1.5s;
    animation-timing-function: ease-in-out;
}

#social-icon{
    position: relative;
    animation: fade-from-bottom 1.5s;
    animation-timing-function: ease-in-out;
}

#btn-contact{
    position: relative;
    animation: fade-from-right 1s;
    animation-timing-function: ease-in-out;
}

@keyframes fade-from-left{
    0%{
        left:-300px;
        opacity: 0;
    }
    100%{
        left: 0px;
        opacity: 1;
    }
}

@keyframes fade-from-right{
    0%{
        right:-300px;
        opacity: 0;
    }
    100%{
        right: 0px;
        opacity: 1;
    }
}

@keyframes fade-from-bottom{
    0%{
        bottom:-100px;
        opacity: 0;
    }
    100%{
        bottom: 0px;
        opacity: 1;
    }
}

#elenco-prodotti{
    background: linear-gradient(90deg, rgba(226, 226, 226, 0.5), white);
}

.prezzo-prodotto{
    font-weight: bold;
    font-size: 36px;
    font-style: italic;
    color: var(--accent-color);
}

.prezzo-prodotto span{
    font-size: 20px;
}

.favourite-product-icon{
    position: absolute;
    top: 0px;
    right: 0px;
}

.page-link{
    color: var(--primary-color);
}
.page-link:hover{
    background-color: var(--accent-color);
    border-color: var(--accent-color);
}

.page-item.disabled{
    cursor: not-allowed;
}

.page-item.active .page-link{
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.page-item.active .page-link:hover{
    background-color: var(--accent-color);
    border-color: var(--accent-color);
}

.status-annuncio{
    position: absolute;
    right: 0px;
    bottom: 0px;
}

.nav-pills .nav-link.active{
    background: var(--primary-color);
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: var(--accent-color);
    background-color: var(--accent-color);
}

.custom-file-label::after{
    content: "Seleziona";
}

.ck.ck-editor__editable > .ck-placeholder::before {
    color: var(--light-text);
    font-style: italic;
}

.footer-info{
    list-style: none;
}

.footer-info a{
    text-decoration: none;
    color: white;
}

.luminosita{
    filter: contrast(130%) saturate(130%) brightness(130%);
}

/* ---- particles.js ---- */ 
#particles-container{
    width: 100%;
    height: 400px;
}

#particles-js{ 
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%; 
    height: 400px; 
    background-color: #ffffff;
    background-image: url(""); 
    background-repeat: no-repeat; 
    background-size: cover; 
    background-position: 50% 50%; 
} 
/* ---- particles.js ---- */ 

